Get Many Campaigns
curl --request GET \
--url https://api.lemlist.com/api/campaigns \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/campaigns"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"_id": "cam_4HrZbi8xsez4QlrnL",
"name": "Product Launch Campaign",
"emoji": "๐",
"timezone": "Europe/Paris",
"labels": [],
"folderId": "cfo_QG9E94KvTmC7KWqzs",
"createdAt": "2025-02-20T14:45:54.230Z",
"createdBy": "usr_zdTCrNFyXblc4mrYK",
"status": "running",
"hasError": true,
"errors": [
"Your campaign does not have sender."
]
},
{
"_id": "cam_k3gu2sa4KIfhRK34M",
"name": "Sales Outreach 2025",
"labels": [],
"folderId": "root",
"createdAt": "2025-02-05T09:00:07.541Z",
"createdBy": "usr_UEvrOEP0CTAYEoFR4",
"status": "running",
"hasError": true,
"errors": [
"One of your sender has no email provider.",
"Your campaign have an invalid sender mailbox"
]
},
{
"_id": "cam_HcFmYEhnCI39Pscan",
"name": "CRM Integration Test",
"labels": [
"CRM"
],
"folderId": "root",
"createdAt": "2023-01-27T14:58:52.482Z",
"createdBy": "usr_i52PiQtbq8SucjVTM",
"status": "running",
"hasError": true,
"errors": [
"One of your sender has no email provider.",
"Your campaign have an invalid sender mailbox"
]
},
{
"_id": "cam_yZXeC6q3SXs3ha1FI",
"name": "Customer Onboarding",
"labels": [],
"folderId": "root",
"createdAt": "2022-06-14T13:32:57.880Z",
"createdBy": "usr_i52PiQtbq8SucjVTM",
"status": "running"
}
]No API key providedThe authentication you supplied is incorrectUser linked to this API key is blockedNo user found for this API keyCampaigns
Get Many Campaigns
Retrieves a paginated list of all campaigns in your team.
GET
/
campaigns
Get Many Campaigns
curl --request GET \
--url https://api.lemlist.com/api/campaigns \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/campaigns"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"_id": "cam_4HrZbi8xsez4QlrnL",
"name": "Product Launch Campaign",
"emoji": "๐",
"timezone": "Europe/Paris",
"labels": [],
"folderId": "cfo_QG9E94KvTmC7KWqzs",
"createdAt": "2025-02-20T14:45:54.230Z",
"createdBy": "usr_zdTCrNFyXblc4mrYK",
"status": "running",
"hasError": true,
"errors": [
"Your campaign does not have sender."
]
},
{
"_id": "cam_k3gu2sa4KIfhRK34M",
"name": "Sales Outreach 2025",
"labels": [],
"folderId": "root",
"createdAt": "2025-02-05T09:00:07.541Z",
"createdBy": "usr_UEvrOEP0CTAYEoFR4",
"status": "running",
"hasError": true,
"errors": [
"One of your sender has no email provider.",
"Your campaign have an invalid sender mailbox"
]
},
{
"_id": "cam_HcFmYEhnCI39Pscan",
"name": "CRM Integration Test",
"labels": [
"CRM"
],
"folderId": "root",
"createdAt": "2023-01-27T14:58:52.482Z",
"createdBy": "usr_i52PiQtbq8SucjVTM",
"status": "running",
"hasError": true,
"errors": [
"One of your sender has no email provider.",
"Your campaign have an invalid sender mailbox"
]
},
{
"_id": "cam_yZXeC6q3SXs3ha1FI",
"name": "Customer Onboarding",
"labels": [],
"folderId": "root",
"createdAt": "2022-06-14T13:32:57.880Z",
"createdBy": "usr_i52PiQtbq8SucjVTM",
"status": "running"
}
]No API key providedThe authentication you supplied is incorrectUser linked to this API key is blockedNo user found for this API keyDonโt forget to set the query parameter version to
version=v2.Authorizations
Query Parameters
Response
Success
Was this page helpful?